
/* vars */
/* defaults */

*, *:before, *:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html, body {
  font-family: "Roboto", sans-serif;
  height: 100%;
}

figure { margin: 0; }

img {
  height: auto;
  max-width: 100%;
}

.site-header, .site-content, .site-footer {
  float: left;
  padding: 1em 0;
  width: 100%;
}

/* typography */

h1, h2, h3 {
  margin-bottom: 0.5em;
}

h3 { font-size: 1.6em; }

p {
  color: #404040;
  line-height: 1.2;
  margin-bottom: 1em;
}

/* helpers */

.left { float: left; }

.right { float: right; }

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* grid */

.container {
  margin: 0 auto;
  max-width: 1200px;
  padding-left: 10px;
  padding-right: 10px;
}

.row {
  clear: both;
  float: left;
  margin-left: -10px;
  margin-right: -10px;
  width: 100%;
}

.col {
  display: block;
  float: left;
  min-height: 1px;
  padding-left: 5px;
  padding-right: 5px;
}

.col-1 { width: 100%; }

.col-2 { width: 50%; }

.col-3 { width: 33.33333%; }

.col-4 { width: 25%; }

.col-5 { width: 20%; }

.col-6 { width: 16.66667%; }

.col-7 { width: 14.28571%; }

.col-8 { width: 12.5%; }

.col-9 { width: 11.11111%; }

.col-10 { width: 10%; }

.col-11 { width: 9.09091%; }

.col-12 { width: 8.33333%; }

/* site-header */
/* site-footer */
/* site-footer */
/* elements */

.modal-wrap {
  background: rgba(0, 0, 0, 0.7);
  height: 100%;
  left: 0;
  opacity: 0;
  overflow: auto;
  position: fixed;
  top: 0;
  visibility: hidden;
  width: 100%;
  z-index: 10;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.modal-wrap.visible {
  opacity: 1;
  visibility: visible;
}

.modal-wrap .modal-container {
  background: #fff;
  margin: 1em;
  max-width: 100%;
  width: 600px;
  z-index: 100;
}

.modal-wrap .modal-container .modal-header,  .modal-wrap .modal-container .modal-footer {
  background: #000;
  float: left;
  width: 100%;
}

.modal-wrap .modal-header .modal-title {
  color: #fff;
  float: left;
  font-size: 2em;
  margin: 0;
  padding: 15px 30px;
}

.modal-wrap .modal-header .close-modal {
  background: transparent;
  border: 0;
  color: #fff;
  cursor: pointer;
  float: right;
  font-size: 40px;
  opacity: 0.4;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.modal-wrap .modal-header .close-modal:hover { opacity: 1; }

.modal-wrap .modal-content {
  float: left;
  margin: 0;
  padding: 15px 30px;
  width: 100%;
}

.modal-wrap .modal-content p:last-child { margin-bottom: 0; }

.modal-wrap .modal-footer { text-align: center; }

.modal-wrap .modal-footer p {
  color: #ccc;
  font-size: 12px;
  font-style: italic;
  margin: 10px;
}

.modal-wrap .modal-footer a { color: #fff; }

.button {
  border: 0;
  cursor: pointer;
  display: inline-block;
  font-weight: bold;
  padding: 10px 20px;
}

.button.alert { background: #ffae00; }
